package gameUser

import (
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type GameUserRouter struct{}

func (s *GameUserRouter) InitGameUserRouter(Router *gin.RouterGroup, RouterPub *gin.RouterGroup) {
	_ = RouterPub
	router := Router.Group("gameUser").Use(middleware.OperationRecord())

	{
		router.PUT("getUserById", gameUserApi.GetUserById)         // 获取玩家信息
		router.PUT("getAccountByUid", gameUserApi.GetAccountByUid) // 获取玩家帐号信息
		router.PUT("addUserRes", gameUserApi.AddUserRes)           // 添加玩家资源
	}

}
